
<ion-content>
  <div class="container header">
    <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    <div class="title">
      <div class="container-flex">
        <img src="assets/icon/user.svg" class="item icon">
        <h1 class="item flex-grow-item">Mon compte</h1>
      </div>
    </div>
    <hr>
  </div>
  <div class="container">
    <h2 class="mg-bottom-sm">Méthodes de payement</h2>
    <div class="flex methods">
      <div class="container-flex">
        <div class="item" (click)="changeColor1(variant)" [ngStyle]="{'background-color': buttonColor1}">
            <img src="assets/img/paypal2.png">
        </div>
        <div class="item"  (click)="changeColor2(variant)" [ngStyle]="{'background-color': buttonColor2}">
            <img src="assets/img/visa2.png">
        </div>
        <div class="item" (click)="changeColor3(variant)" [ngStyle]="{'background-color': buttonColor3}">
            <img src="assets/img/maestro2.png">
        </div>
        <div class="item"  (click)="changeColor4(variant)" [ngStyle]="{'background-color': buttonColor4}">
          <div class="info-card">
          <p class="centered main-text link">Payement facture</p>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="container flex">
    <h2>Informations de la carte bancaire</h2>
    <ion-item lines="none">
      <ion-label position="stacked">Titulaire de la carte *</ion-label>
      <ion-input [(ngModel)]="firstName" placeholder="Jane Doe" clear-input="true" class="myinput"></ion-input>
    </ion-item>
    <ion-item lines="none">
      <ion-label position="stacked">Numéro de la carte *</ion-label>
      <ion-input [(ngModel)]="lastName" placeholder="00000000" clear-input="true" class="myinput"></ion-input>
    </ion-item>
    <div class="container-flex">
      <ion-item lines="none" class="item">
        <ion-label position="stacked">Date d'expiration *</ion-label>
        <ion-input [(ngModel)]="password" placeholder="12/23" clear-input="true" type="password" class="myinput"></ion-input>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-label position="stacked">Code de sécurité *</ion-label>
        <ion-input [(ngModel)]="passConfirm" placeholder="123" clear-input="true" type="password" class="myinput"></ion-input>
      </ion-item>
    </div>
  </div>

  <div class="container flex bottom-cta">
    <div class="container-flex">
      <p class="mini-text item">Etape 4/4</p>
      <ion-button *ngIf="this.order" (click)="pay()" type="submit" class="agri-btn item">Payer</ion-button>
    </div>
  </div>

</ion-content>
